%define name gplflash
%define version 0.4.13
%define release %mkrel 4
%define major 0
%define minor 13
%define lib_name_orig lib%{name}
%define lib_name %mklibname %name %major

Name: %{name}
Summary: Flash decoder, player, plugin
Version: %{version}
Release: %{release}
Source: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: gplflash-0.4.13-version.patch.bz2
Patch1: gplflash-0.4.13-gcc41.patch
URL: http://%{name}.sourceforge.net/
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
BuildRequires: chrpath mad-devel jpeg-devel X11-devel
Conflicts: FlashPlayer

%description
GPLFLash is based on Olivier Debon's original work, which hasn't had a 
release since June 2000. This project hopes to bring GPLFlash back as a 
free, portable and usable alternative to the flash-decoder released by 
Macromedia. The project contains a decoding library, a player and 
(perhaps most importantly) a mozilla/netscape plugin.

%package -n     %{lib_name}
Summary:        Gplflash libraries 
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with gplflash.

%package -n     %{lib_name}-devel
Summary:        Headers for developing programs with gplflash
Group:          Development/C
Requires:       %{lib_name} = %{version}
Provides:       %{lib_name_orig}-devel = %{version}-%{release} 
Provides:       %{name}-devel = %{version}-%{release}          

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use gplflash.

%prep
%setup -q
%patch0 -p1 -b .version
%patch1 -p1 -b .gcc41

%build
./configure CFLAGS=" %optflags" CXXFLAGS=" %optflags" \
	LDFLAGS=" -L/usr/X11R6/%{_lib} -lXt" \
	--program-prefix=%{?_program_prefix} \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# (sb) fix rpath
chrpath -d $RPM_BUILD_ROOT/%{_libdir}/mozilla/plugins/libnpflash.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root,0755)
%doc AUTHORS NEWS COPYING README TODO
%{_bindir}/swfplayer
%{_libdir}/mozilla/plugins/libnpflash.so

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/libflash.so.%{major}.%{minor}*
%{_libdir}/libflash.so.%{major}

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%{_libdir}/libflash.la
%{_libdir}/libflash.so
%{_includedir}/flash.h

%changelog
* Fri Jul 21 2006 Stew Benedict <sbenedict@mandriva.com> 0.4.13-4mdv2007.0
- rebuild, %%mkrel, patch for gcc41 (P1)

* Fri Feb 10 2006 Stew Benedict <sbenedict@mandriva.com> 0.4.13-3mdk
- #21095: fix crash by linking to libXt (fix found in Debian's bugzilla)

* Mon Feb 06 2006 Stew Benedict <sbenedict@mandriva.com> 0.4.13-2mdk
- annual rebuild
- buildrequires

* Sat Jan 29 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.4.13-1mdk
- Release: 0.4.13.
- Added chrpath to BuildRequires.
- Fixed version from 0.4.12 to 0.4.13.

* Thu Oct 28 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.4.12-1mdk
- first Mandrakelinux release
